curl --request POST \
--url https://api.anchorbrowser.io/v1/task/{taskId}/{taskVersion} \
--header 'Content-Type: application/json' \
--header 'anchor-api-key: <api-key>' \
--data '{}'import requests
url = "https://api.anchorbrowser.io/v1/task/{taskId}/{taskVersion}"
payload = {}
headers = {
"anchor-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'anchor-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.anchorbrowser.io/v1/task/{taskId}/{taskVersion}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"taskId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"version": "<string>",
"code": "<string>",
"deleted": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"language": "typescript",
"description": "<string>",
"browserConfiguration": {
"initial_url": "<string>",
"tags": [
"production",
"scraping",
"customer-123"
],
"recording": {
"active": true
},
"proxy": {
"active": true,
"type": "anchor_proxy",
"country_code": "us",
"region": "<string>",
"city": "<string>"
},
"timeout": {
"max_duration": 123,
"idle_timeout": 123
},
"live_view": {
"read_only": true,
"one_time_url": true
},
"x402": false
}
}
}{
"error": {
"code": 123,
"message": "<string>"
}
}{
"error": {
"code": 123,
"message": "<string>"
}
}{
"error": {
"code": 123,
"message": "<string>"
}
}Publish Task Version (Legacy)
Publishes a specific version of a task. This creates a new version if it doesn’t exist, or updates an existing version’s metadata.
If you are using the new Task Builder, see the non-deprecated Tasks endpoints in this API reference.
Authorizations
API key for your Anchor Browser account, sent as the anchor-api-key header on every
request. Create one at app.anchorbrowser.io (API Access),
or obtain one programmatically via the unauthenticated agent-access flow
(POST /v1/agent-access).
Path Parameters
The ID of the task
The version to publish (cannot be draft)
^\d+$Body
Base64 encoded task code (required for new versions)
1^[A-Za-z0-9+/]*={0,2}$Programming language for the task
typescript Optional description of the version
1000Browser configuration for task execution
Show child attributes
Show child attributes
Response
Task version published successfully
Show child attributes
Show child attributes
Was this page helpful?

